Skip to main content
Topic: foo_youtube (Read 174736 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: foo_youtube

Reply #925
Any reason why after installing this, components about box, and probably another dialog box shows some glasses effect behind them? I'm using Windows 10. Regards :)

Re: foo_youtube

Reply #926
I cannot imagine any reason for this. Are you sure it is foo_youtube? Have you tried clean foobar2000 installation (e.g. separate portable installation) with only this component additionally installed?


Re: foo_youtube

Reply #928
Thank you for the video and for further details. This bug should be fixed in current beta.

Re: foo_youtube

Reply #929
Thank you for fixing it. I can confirm it looks fine now. Regards :)

Re: foo_youtube

Reply #930
Youtube > Copy > URL doesn't have a mnemonic. Maybe assign a number (&1, &2)?

Re: foo_youtube

Reply #931
I have troubles using external ffmpeg from zeranoe builds win32 shared.
Have own directory for each component.


Quote
14:05:23, [warning] could not load external ffmpeg: C:\Users\NIN9\Portables\foobar2000\libs\avutil-lav-56.dll: 56.15.100 > 56.0.0
14:05:23, ffmpeg: lavf 57.71.100, lavc 57.89.100, lavu 55.58.100 (internal)
14:05:23, VSFilter 1.7.1.322 1.7.1.322 (external)
14:05:23, LAV Filters: LAV Splitter 0.71.0.34 (external)
14:05:23, LAV Filters: LAV Video 0.71.0.34 (external)
14:05:23, libcurl/7.59.0 WinSSL zlib/1.2.11 (external)

Re: foo_youtube

Reply #932
@Hidrojen
Well, I am surprised that other menu items have access keys. So, foobar2000 adds them if menu does not have its own access keys. And when URL item turn comes, all three letters are already taken by the above items. Fixed in the latest version.

@NIN9
Latest ffmpeg version is "too new" for the component. ffmpeg API changes with time, and these changes are not always back-compatible. So component has to limit max ffmpeg version. This limitation was added in 2.3.1. Previous versions most likely will crash if you would try to use new ffmpeg with them.

Re: foo_youtube

Reply #933
Thank you for explanation and great coding. Happy everything works as intended so far.

Re: foo_youtube

Reply #934
If in component preferences -> Video tab -> 'Media downloading' you have something other than 'foo_youtube', you may try it. Pros (and cons at the same time) - it caches whole video independently of playback (when others cache only parts that are about to be played). If you have 'foobar2000' there, you also may try to increase reconnection time in Advanced -> Networking -> 'Keep reconnecting <...>'
Not working on 1.4 beta 11
It's as if 1 second has been set
On 1.3.7 - no problem

Re: foo_youtube

Reply #935
Could we have report with log in English? Thanks

Re: foo_youtube

Reply #936
Nice. It is not CJK language, but a bug due to use of single-byte string when formatting wide string. Will be fixed. Thanks.

Re: foo_youtube

Reply #937
Hello.
I'm getting "SSL authentication error" when I try to add any youtube source.
Component version: 2.3
Foobar version: 1.3 or 1.4-beta

I've tried to add google's certificate to Trusted Root Cert's but it doesn't help.
it's a  Foobar2000's network stack bug. From v1.4 changelog: fixed a bug in HTTPS reader causing incompatibility with Google websites (beta 14).

A temporary work around to this would be to add "www.youtube.com" to Foobar2000 preferences/Advanced/Networking/Surpress HTTPS cert checks.



Re: foo_youtube

Reply #939
I have xy-VSFilter installed via CCCP and yet it doesn't recognizes it's not installed so I tried installing by the link it's given I do and the componnent says I need to install xy-VSFilter when I have it.

Re: foo_youtube

Reply #940
I'm using the Album Art Panel (foo uie albumart) instead of the default one and It can't show the thumbnail without a source; is there a metadata field for the Youtube thumbnail (%3dydfy_thumbnail% or something like that) that I could use to extract the thumbnail for that component?

Re: foo_youtube

Reply #941
Plugin is S I C K ! ! !


Re: foo_youtube

Reply #943
Hi,

I would like to add a view column for my youtube playlist, but when I add %3dydfy_view_count% to my custom columns it returns '?'.  How am I supposed to use that metadata for it to return the view count?

Thanks

Re: foo_youtube

Reply #944
@Wolfbane
Try foobar2000 1.3.18. There was an issue with Google sites that could result in an error when adding URL. Other than that I have no ideas - your URL works for me.

@Skreaxy
The only explanation that comes to mind is that you have x64 filter version when component requires x86 version. You could try to use 'Managed' source, so component will download required version by itself.

@rokkokko @hanbai
I updated docs, so you can now find all info here.

Re: foo_youtube

Reply #945
Hello!
Dear 3dyd,
I like watch Internet TV channels and various films (.mkv format for example) with fb2k (using foo_youtube component of course).
Do you plan to develop this opportunity? Could you tell about it.
Thanks.

Re: foo_youtube

Reply #946
Hi,3dyd,
I in china,Must use the proxy severs can get "youtube.com",How is set up the"youtube source" or foobar2000 networking?Thanks.

Re: foo_youtube

Reply #947
@Skreaxy
The only explanation that comes to mind is that you have x64 filter version when component requires x86 version. You could try to use 'Managed' source, so component will download required version by itself.

Still, unninstalled x64 and x86 and installed x86 and tells me to install xy-VSFilter.

Re: foo_youtube

Reply #948
@3dyd You're a god, thanks a lot!

 

Re: foo_youtube

Reply #949
@Sergey77
Component unlikely will have embedded support for other sites.
As for local video files - it already can play them.

@TimsFong
I updated related info here.

@Skreaxy
CCCP is not updated for more than 2 years. For me, after CCCP installation component stops asking for VSFilter. But if you also install LAV Filters from this CCCP, component complains about too old LAV Filters version. Consider using some other, more up-to-date codec pack, or switch to 'Managed' sources in component Maintenance tab to avoid dependency on filters installed in the system (more info is here).

 
SimplePortal 1.0.0 RC1 © 2008-2018